Subject: bug#15610: 24.3; Implement (network-interface-list) on Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Oct 2013 20:20:57 +0300

> Date: Mon, 14 Oct 2013 18:46:25 +0200
> From: Lubos Pintes <[email-masked]>
> 
> When I googled about mentioned function, I saw a discussion where
> someone stated that it is not possible on Windows for reason I am unable
> to remember now.
> Now I ran Cygwin version of Emacs and the function is implemented
> there. So, it is definitely possible to implement it somehow on Windows.

The Cygwin library code for this is in net.cc.  Volunteers are welcome
to lift it from there into some w32*.c file inside Emacs.

Btw, it would be nice to hear some use case where this functionality
is really important.  TIA.